export declare class FileSystem {
    exists({ path }: {
        path: string;
    }): Promise<boolean>;
    read({ path }: {
        path: string;
    }): Promise<string>;
    write({ path, data }: {
        path: string;
        data: any;
    }): Promise<void>;
    erase({ path }: {
        path: string;
    }): Promise<void>;
}
