import type { VaultConfig } from '../types/config.js';
export declare class Vault {
    #private;
    constructor(config?: VaultConfig);
    get version(): string;
    getKey(): Promise<string>;
    prepareKey({ data }: {
        data: string;
    }): string;
    generateKey({ length }: {
        length: number;
    }): string;
    encrypt({ data, key }: {
        data: string;
        key: string;
    }): string;
    decrypt({ data, key }: {
        data: string;
        key: string;
    }): string;
}
