/// <reference types="node" resolution-mode="require"/>
export declare const E_CREDENTIALS_INVALID: {
    new (message?: string | undefined, options?: (ErrorOptions & {
        code?: string | undefined;
        status?: number | undefined;
    }) | undefined): {
        help: string;
        name: string;
        code?: string | undefined;
        status: number;
        toString(): string;
        readonly [Symbol.toStringTag]: string;
        message: string;
        stack?: string | undefined;
        cause?: unknown;
    };
    message: string;
    code: string;
    help?: string | undefined;
    status?: number | undefined;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
export declare const E_CREDENTIALS_UNKNOWN_VERSION: {
    new (message?: string | undefined, options?: (ErrorOptions & {
        code?: string | undefined;
        status?: number | undefined;
    }) | undefined): {
        help: string;
        name: string;
        code?: string | undefined;
        status: number;
        toString(): string;
        readonly [Symbol.toStringTag]: string;
        message: string;
        stack?: string | undefined;
        cause?: unknown;
    };
    message: string;
    code: string;
    help?: string | undefined;
    status?: number | undefined;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
export declare const E_CREDENTIALS_INVALID_FORMAT: {
    new (message?: string | undefined, options?: (ErrorOptions & {
        code?: string | undefined;
        status?: number | undefined;
    }) | undefined): {
        help: string;
        name: string;
        code?: string | undefined;
        status: number;
        toString(): string;
        readonly [Symbol.toStringTag]: string;
        message: string;
        stack?: string | undefined;
        cause?: unknown;
    };
    message: string;
    code: string;
    help?: string | undefined;
    status?: number | undefined;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
export declare const E_CREDENTIALS_CANNOT_DECRYPT: {
    new (message?: string | undefined, options?: (ErrorOptions & {
        code?: string | undefined;
        status?: number | undefined;
    }) | undefined): {
        help: string;
        name: string;
        code?: string | undefined;
        status: number;
        toString(): string;
        readonly [Symbol.toStringTag]: string;
        message: string;
        stack?: string | undefined;
        cause?: unknown;
    };
    message: string;
    code: string;
    help?: string | undefined;
    status?: number | undefined;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
export declare const E_CREDENTIALS_MISSING_KEY: {
    new (message?: string | undefined, options?: (ErrorOptions & {
        code?: string | undefined;
        status?: number | undefined;
    }) | undefined): {
        help: string;
        name: string;
        code?: string | undefined;
        status: number;
        toString(): string;
        readonly [Symbol.toStringTag]: string;
        message: string;
        stack?: string | undefined;
        cause?: unknown;
    };
    message: string;
    code: string;
    help?: string | undefined;
    status?: number | undefined;
    captureStackTrace(targetObject: object, constructorOpt?: Function | undefined): void;
    prepareStackTrace?: ((err: Error, stackTraces: NodeJS.CallSite[]) => any) | undefined;
    stackTraceLimit: number;
};
