import { ValidateFn } from '@poppinss/validator-lite';
export declare class Validator<Schema extends {
    [key: string]: ValidateFn<unknown>;
}> {
    #private;
    constructor(schema: Schema);
    validate({ data }: {
        data: {
            [K: string]: string | undefined;
        };
    }): {
        [K in keyof Schema]: ReturnType<Schema[K]>;
    };
}
